Debian Bug report logs - #665406
poorly chosen tmpfs defaults encorages debian developers to not use /tmp as the FHS intends

version graph

Package: initscripts; Maintainer for initscripts is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for initscripts is src:sysvinit.

Reported by: Guido Günther <agx@sigxcpu.org>

Date: Fri, 23 Mar 2012 21:27:02 UTC

Severity: important

Merged with 630615, 665631, 665634, 666096, 666696

Found in versions sysvinit/2.88dsf-13.10, sysvinit/2.88dsf-18, sysvinit/2.88dsf-22

Fixed in version sysvinit/2.88dsf-26

Done: Roger Leigh <rleigh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#665406; Package pristine-tar. (Fri, 23 Mar 2012 21:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Fri, 23 Mar 2012 21:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please don't use /tmp by default
Date: Fri, 23 Mar 2012 22:25:01 +0100
Package: pristine-tar
Version: 1.22
Severity: normal

Hi,
sind /tmp is a tmpfs now pristine-tar often runs out of disk space when
building the binary delta for large packages like icedove. This can be
worked around by using $TMPDIR but i'd be nicer if pristine-tar would
default to TMPDIR=../<tmpfilename>
Cheers,
 -- Guido


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (50, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pristine-tar depends on:
ii  libbz2-1.0    1.0.6-1
ii  libc6         2.13-27
ii  perl-modules  5.14.2-9
ii  xdelta        1.1.3-9
ii  zlib1g        1:1.2.6.dfsg-2

Versions of packages pristine-tar recommends:
ii  bzip2     1.0.6-1
ii  pbzip2    1.1.6-1
ii  xz-utils  5.1.1alpha+20110809-3

pristine-tar suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#665406; Package pristine-tar. (Sat, 24 Mar 2012 01:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Sat, 24 Mar 2012 01:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 665406@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Guido Günther <agx@sigxcpu.org>, 665406@bugs.debian.org
Subject: Re: Bug#665406: Please don't use /tmp by default
Date: Fri, 23 Mar 2012 21:17:51 -0400
[Message part 1 (text/plain, inline)]
Guido Günther wrote:
> sind /tmp is a tmpfs now pristine-tar often runs out of disk space when
> building the binary delta for large packages like icedove. This can be
> worked around by using $TMPDIR but i'd be nicer if pristine-tar would
> default to TMPDIR=../<tmpfilename>

IOW /tmp being a tmpfs was a bad decision.

However, I don't feel it's appropriate for pristine-tar to use randomly
some other part of the filesystem for its temporary directories.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'pristine-tar' to 'initscripts'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sat, 24 Mar 2012 19:09:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions pristine-tar/1.22. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sat, 24 Mar 2012 19:09:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'poorly chosen tmpfs defaults encorages debian developers to not use /tmp as the FHS intends' from 'Please don't use /tmp by default' Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sat, 24 Mar 2012 19:09:04 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Roger Leigh <rleigh@codelibre.net> to control@bugs.debian.org. (Mon, 16 Apr 2012 21:42:07 GMT) Full text and rfc822 format available.

Marked as found in versions sysvinit/2.88dsf-13.10, sysvinit/2.88dsf-18, and sysvinit/2.88dsf-22. Request was from Roger Leigh <rleigh@codelibre.net> to control@bugs.debian.org. (Mon, 16 Apr 2012 21:42:17 GMT) Full text and rfc822 format available.

Merged 630615 653329 665406 665631 665634 666096 666696 Request was from Roger Leigh <rleigh@codelibre.net> to control@bugs.debian.org. (Mon, 16 Apr 2012 21:42:24 GMT) Full text and rfc822 format available.

Disconnected #653329 from all other report(s). Request was from Roger Leigh <rleigh@codelibre.net> to control@bugs.debian.org. (Mon, 16 Apr 2012 23:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#665406; Package initscripts. (Mon, 16 Apr 2012 23:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Mon, 16 Apr 2012 23:18:03 GMT) Full text and rfc822 format available.

Message #29 received at 665406@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: 665406@bugs.debian.org, 665406-submitter@bugs.debian.org
Subject: Re: poorly chosen tmpfs defaults encorages debian developers to not use /tmp as the FHS intends
Date: Tue, 17 Apr 2012 00:15:14 +0100
I have done a significant reworking of the handling of tmpfs
on /tmp.  Please have a look at the packages here:

http://people.debian.org/~rleigh/sysvinit/

I would be very grateful for any feedback regarding these
changes.  While these don't disable tmpfs on /tmp by default,
they do increase the default limits.  Further increases are
possible.

The full list of changes is here:
http://people.debian.org/~rleigh/sysvinit/sysvinit_2.88dsf-23_amd64.changes

Summary:
- All tmpfs settings moved to /etc/default/tmpfs; it is of course
  possible to continue to use /etc/fstab to override them.
  /etc/default/rcS is no longer used.
- overflowtmp handling, which was unobvious and inflexible, has
  been merged with the RAMTMP handling, and the limit for its
  use is settable, and it is documented in tmpfs(5).
- one can configure the tmpfs size as a percentage of the VM size
  (including swap) rather than of the RAM size.  Just use %VM in
  place of %.  /tmp and /run/shm default to 20%VM rather than
  20% [RAM].  This should lead to a large increase if you have
  a decent amount of swap available.  Note: %VM does not work in
  fstab, though patching the kernel to do this looks easy enough.
- if you have a small amount of RAM, tmpfs on /tmp is automatically
  disabled (modulo read only root and overflow conditions).
  Currently set at 64 MiB, but can be changed.
- if you have a separate mount for /tmp in /etc/fstab (non-tmpfs),
  there won't be a separate hidden tmpfs mount.
- improved cleanup of masked temporary files at boot.


So, what kind of feedback is needed?  After installing the updated
packages linked to above, I'd like to know if you're still running
into issues with lack of space on /tmp, and (whether or not you
have problems):

- the size and free space on the root filesystem (df /)
- the amount of system memory (cat /proc/meminfo | grep MemTotal)
- the amount of swap (cat /proc/meminfo | grep SwapTotal)
- the size of the tmpfs on /tmp (mount | grep /tmp)
- the amount of free space on /tmp (df /tmp)
- which applications and/or shell commands you were using which caused
  you to run out of space.  The size of the files created would be
  useful to know. (ls -l /tmp and du -sm /tmp/*)


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800




Message sent on to Guido Günther <agx@sigxcpu.org>:
Bug#665406. (Mon, 16 Apr 2012 23:18:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Sep 2012 07:25:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:16:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.